Jump to content


Photo

Massive Lag in Online Multiplayer


  • Please log in to reply
2 replies to this topic

#1 lemm

lemm

    Sergeant

  • Forum Members
  • PipPipPip
  • 31 posts

Posted 06 October 2010 - 01:00 PM

Hi,

I compiled the newest beta for linux (Crunchbang 9), and it works fine for hotseat games. However, when I am playing online multiplayer, everytime my opponent is moving or I am moving the game freezes until whatever is moving has stopped. For example, if I move, I will see my player walk, then there is a pause for however long it took me to move, then the game unfreezes. If it is my opponent's turn, and he is in my line of sight, his units sort of skip and stutter along the screen, rather than moving continuously. I can't scroll or do anything while these pauses occur. The game doesn't crash, but the freezes interfere with my ability to observe my opponent's movement.


Also, I never had this problem running 1062 and 1086 under windows XP.

Edited by lemm, 06 October 2010 - 01:03 PM.


#2 Fomka

Fomka

    Sergeant

  • Forum Members
  • PipPipPip
  • 82 posts

Posted 07 October 2010 - 07:18 AM

Hi,

I compiled the newest beta...


I suspect that you played against someone with different version of the game. The latest beta published on the ufo2000.net site is 0.9.1142. It is older than the latest SVN revision 1154.

You can look for your version number in two ways: from inside the game (main menu, look in the lower right corner), from the server status page "http://ufo2000.net:2000".
For any revision greater than 1142 and up to the latest 1154 the version will look like "UFO2000 0.9 (revision >= 1142)"
For latest published beta it looks like "UFO2000 0.9.1142".

Edited by Fomka, 07 October 2010 - 07:27 AM.


#3 lemm

lemm

    Sergeant

  • Forum Members
  • PipPipPip
  • 31 posts

Posted 07 October 2010 - 05:41 PM

I downloaded "ufo2000-0.9.1142-src-tar.bz2," which is what you are linked to from the front page, so I thought I would be running 1142?

The server battle info page says I am using "UFO2000 0.9 (revision >= 1142)" I played against someone who was running under windows, and the server page said they were running "UFO2000 0.9.1142"...